%global         momorel 11

Name:           perl-Crypt-DSA
Version:        1.17
Release:        %{momorel}m%{?dist}
Summary:        DSA Signatures and Key Generation
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Crypt-DSA/
Source0:        http://www.cpan.org/authors/id/A/AD/ADAMK/Crypt-DSA-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.6.0
BuildRequires:  perl-Cwd
BuildRequires:  perl-Data-Buffer >= 0.01
BuildRequires:  perl-Digest-SHA1
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Which >= 0.05
BuildRequires:  perl-IPC-Open3
BuildRequires:  perl-Math-BigInt >= 1.78
BuildRequires:  perl-MIME-Base64
BuildRequires:  perl-Test-Simple >= 0.42
Requires:       perl-Cwd
Requires:       perl-Data-Buffer >= 0.01
Requires:       perl-Digest-SHA1
Requires:       perl-File-Which >= 0.05
Requires:       perl-IPC-Open3
Requires:       perl-Math-BigInt >= 1.78
Requires:       perl-MIME-Base64
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Crypt::DSA is an implementation of the DSA (Digital Signature Algorithm)
signature verification system. The implementation itself is pure Perl,
although the heavy-duty mathematics underneath are provided by the
Math::Pari library.

%prep
%setup -q -n Crypt-DSA-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Crypt/DSA
%{perl_vendorlib}/Crypt/DSA.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-11m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-10m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-9m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-8m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-7m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-6m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-5m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-4m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-3m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-2m)
- rebuild against perl-5.14.1

* Fri Jun 17 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-1m)
- update to 1.17

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-11m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.16-10m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.16-9m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-8m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.16-7m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-6m)
- rebuild against perl-5.12.1

* Wed Apr 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-5m)
- enable test (import Patch0 from Fedora devel)

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-4m)
- rebuild against perl-5.12.0
- disable test for a while...

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated
- Specfile re-generated by cpanspec 1.78.

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.16-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Sep 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-1m)
- update to 0.16

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.14-8m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.14-7m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.14-6m)
- rebuild against gcc43

* Mon Mar 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.14-5m)
- rebuild against perl-5.10.0-5m

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.14-4m)
- use vendor

* Sat Feb 24 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.14-3m)
- add BuildRequires: perl-Math-BigInt
- add Requires: perl-Math-BigInt

* Sat Sep 30 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.14-2m)
- BuildRequires perl-Data-Buffer

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.14-1m)
- spec file was autogenerated
